> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a document

> This API is used to delete a document using a document ID.



## OpenAPI

````yaml delete /mr/api/v1/docs/{id}
openapi: 3.0.0
info:
  title: Document Upload API
  description: API to pre-sign the URL for uploading documents.
  version: 1.0.0
  license:
    name: Proprietary License
    url: https://developer.eka.care/license
servers:
  - url: https://api.eka.care
    description: Production server
  - url: https://api.dev.eka.care
    description: Development server
security: []
tags:
  - name: Records
    description: API related to records document management.
paths:
  /mr/api/v1/docs/{id}:
    delete:
      summary: Delete a document
      description: This API is used to delete a document using a document ID.
      parameters:
        - in: path
          name: id
          required: true
          description: Document ID to delete the document.
          schema:
            type: string
            example: 2df9e795-d368-4ceb-be9d-b44281703827
        - name: X-Pt-Id
          in: header
          schema:
            type: string
          description: eka user id (OID)
      responses:
        '200':
          description: Document deleted successfully.
        '404':
          description: No such document.
        5XX:
          description: Unexpected error.
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````